Subject: Re: Failure in building GFortran on Cygwin
From: Jerry DeLisle <[email-masked]>
To: Angelo Graziosi <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 29 Nov 2007 17:05:17 -0800
List-Id: <cygwin.cygwin.com>

Angelo Graziosi wrote:
> For the sake of completeness I want to flag the following.
> 
> Building GFortran CVS 20071129 trunk 130516 on Cygwin it fails in this
> way:
> 
> --------------------------------------------------------------------
> ...
> libtool: compile:  /tmp/gcc/build/./gcc/xgcc -B/tmp/gcc/build/./gcc/
> -B/usr/local/gfortran/i686-pc-cygwin/bin/
> -B/usr/local/gfortran/i686-pc-cygwin/lib/ -isystem
> /usr/local/gfortran/i686-pc-cygwin/include -isystem
> /usr/local/gfortran/i686-pc-cygwin/sys-include -DHAVE_CONFIG_H -I.
> -I/tmp/gcc/libgfortran -I. -iquote/tmp/gcc/libgfortran/io
> -I/tmp/gcc/libgfortran/../gcc -I/tmp/gcc/libgfortran/../gcc/config
> -I../.././gcc -D_GNU_SOURCE -std=gnu99 -Wall -Wstrict-prototypes
> -Wmissing-prototypes -Wold-style-definition -Wextra -Wwrite-strings -O2 -g
> -O2 -MT system_clock.lo -MD -MP -MF .deps/system_clock.Tpo -c
> /tmp/gcc/libgfortran/intrinsics/system_clock.c -o system_clock.o
> /tmp/gcc/libgfortran/intrinsics/system_clock.c: In function
> 'system_clock_4':
> /tmp/gcc/libgfortran/intrinsics/system_clock.c:67: error: storage size of
> 'tzp' isn't known
> /tmp/gcc/libgfortran/intrinsics/system_clock.c:67: warning: unused
> variable 'tzp'
> /tmp/gcc/libgfortran/intrinsics/system_clock.c: In function
> 'system_clock_8':
> /tmp/gcc/libgfortran/intrinsics/system_clock.c:130: error: storage size of
> 'tzp' isn't known
> /tmp/gcc/libgfortran/intrinsics/system_clock.c:130: warning: unused
> variable 'tzp'
> make[3]: *** [system_clock.lo] Error 1
> make[3]: Leaving directory `/tmp/gcc/build/i686-pc-cygwin/libgfortran'
> make[2]: *** [all] Error 2
> make[2]: Leaving directory `/tmp/gcc/build/i686-pc-cygwin/libgfortran'
> make[1]: *** [all-target-libgfortran] Error 2
> make[1]: Leaving directory `/tmp/gcc/build'
> make: *** [all] Error 2
> --------------------------------------------------------------------
> 
> 
> The build was configured (as always):
> 
>     ${gcc_dir}/configure --prefix=${prefix_dir} \
>                          --exec-prefix=${prefix_dir} \
>                          --sysconfdir=${prefix_dir}/etc \
>                          --libdir=${prefix_dir}/lib \
>                          --libexecdir=${prefix_dir}/lib \
>                          --mandir=${prefix_dir}/share/man \
>                          --infodir=${prefix_dir}/share/info \
>                          --enable-languages=c,fortran \
>                          --enable-bootstrap \
>                          --enable-decimal-float=bid \
>                          --enable-libgomp \
>                          --enable-threads \
>                          --enable-sjlj-exceptions \
>                          --enable-version-specific-runtime-libs \
>                          --enable-nls \
>                          --enable-checking=release \
>                          --disable-fixed-point \
>                          --disable-libmudflap \
>                          --disable-shared \
>                          --disable-win32-registry \
>                          --with-system-zlib \
>                          --without-included-gettext \
>                          --without-x
> 
> 
> The Cygwin version is 1.5.25-2 (exp.).
> 
I can confirm this.  I saw it last wekend trying to do my regular cygwin build 
of gfortran for the wiki.  The build died and I assumed I did something wrong 
and was going to try back later.

Well this is definitely a regression somewhere.  Its not on the gfortran side 
which has not touched that file for several months.  It could be something broke 
in the configure for cygwin.  The error occurs in a conditional comapile:

#if defined(HAVE_SYS_TIME_H) && defined(HAVE_GETTIMEOFDAY)

I will open a PR to track this.

Jerry

Jerry

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/